Creators · Creator Campaigns
Returns campaign ledger, one page at a time.
GET
https://api.pozy.ai/v1/creator-campaigns/{campaignId}/ledgerlistCampaignLedger
Guides: Pay creators, Run a campaign
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the creator_campaigns resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
campaignIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
participantId | string | |
kind | string | One of accrual, approval, hold_release, adjustment, settling, settlement, reversal, topup, transfer, fee |
limit | integer | Default 501 to 200 |
skip | integer | Default 0At least 0 |
Example
curl -X GET "https://api.pozy.ai/v1/creator-campaigns/65a3737dd8b11ea61f199e6e/ledger?limit=50" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/creator-campaigns/65a3737dd8b11ea61f199e6e/ledger?limit=50", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/creator-campaigns/65a3737dd8b11ea61f199e6e/ledger",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"limit": 50,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
entriesarray of objectrequired14 child fields
idstringrequiredkindstringrequiredOne of
accrual,approval,hold_release,adjustment,settling,settlement,reversal,topup,transfer,fee.amountCentsintegerrequireddebitobjectrequired3 child fields
scopeTypestringscopeIdstringbucketstring
creditobjectrequired3 child fields
scopeTypestringscopeIdstringbucketstring
holdUntilstring (date-time)requiredCan be null.
releasedByEntryIdstringrequiredCan be null.
reversesEntryIdstringrequiredCan be null.
referenceTypestringrequiredCan be null.
referenceIdstringrequiredCan be null.
causestringrequiredexternalReferencestringrequiredCan be null.
actorstringrequiredcreatedAtstring (date-time)required
paginationobjectrequiredtotalintegerrequiredlimitintegerrequiredskipintegerrequired
200 response
{
"entries": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"kind": "accrual",
"amountCents": 1,
"debit": {
"scopeType": "string",
"scopeId": "6c4ddacb1bf27185a5c9a056",
"bucket": "string"
},
"credit": {
"scopeType": "string",
"scopeId": "6c4ddacb1bf27185a5c9a056",
"bucket": "string"
},
"holdUntil": "2026-10-02T09:00:00.000Z",
"releasedByEntryId": "64c2f36f2fedea7830e4c6b7",
"reversesEntryId": "63545b5be6eea6591e1655ac",
"referenceType": "string",
"referenceId": "694481796d5f513d4c6a3f67",
"cause": "string",
"externalReference": "string",
"actor": "string",
"createdAt": "2026-10-02T09:00:00.000Z"
}
],
"pagination": {
"total": 42,
"limit": 1,
"skip": 1
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Creator Campaigns
GETList creator campaignsPOSTCreate creator campaignGETGet creator campaignPATCHUpdate creator campaignPOSTRaise creator campaign budgetPOSTActivate creator campaignPOSTPause creator campaignPOSTClose creator campaignGETList campaign participantsPOSTInvite campaign participantGETGet campaign participantPOSTSuspend campaign participantPOSTReinstate campaign participantPOSTRemove campaign participantPOSTResend campaign participant invitePOSTSettle campaign participantGETList payout batchesPOSTPay creators with one card paymentPOSTCreate campaign invite linkGETList campaign submissionsGETGet campaign submissionPOSTApprove campaign submissionPOSTReject campaign submissionPOSTReopen campaign submissionGETList campaign payablesPOSTCreate campaign adjustmentGETGet campaign report